# pwndocImportAutomator

To clone repo with submodules:

```sh
git clone --recurse-submodules git@gitlab.fi.muni.cz:cybersec/tns/pwndocimportautomator.git
cd pwndocimportautomator

```

## Deployment - Docker-compose

The recommended deployment process is using Docker-compose.

```sh
# MANUAL STEP: Fill in docker.env file (use .env.dist as a template)

docker-compose up --build -d
```

How to stop the containers:
```
docker-compose down --remove-orphans
# note: flag -v would also remove the docker volume with the database (DANGEROUS)
```

Ports:

- 5001: ImportAutomator (HTTP)
- 8443: Pwndoc (HTTPS)

## First run setup steps

- Import Scan2Report templates using the web interface (they are no longer autoimported from ./scan2report/plugins/)

## How to backup

Before first run:
`sudo apt update && sudo apt install zip`

To run backup:
`./backup.sh`

## How to update

```sh
./backup.sh
git pull --recurse-submodules -X ours
./backup.sh
docker-compose up --build -d
```


## How to export scan2report plugins folder

HTTP request to `:5001/templates/export_as_scan2report_native` returns it as zip
