from dotenv import load_dotenv
import os
from loguru import logger


TEMPLATE_FOLDER_SCAN2REPORT = "scan2report/plugins/"
LOCALES = ["cs", "en", "og"]
assert LOCALES[-1] == "og", "inner logic of scan2report parsing depends on 'og' being the last locale"

load_dotenv()

SECRET_KEY = os.environ.get('FLASK_SECRET_KEY')

ALLOWED_SCANNER_EXTENSIONS = {'dat', 'xml', 'nessus', 'json'}

PWNDOC_URL = os.getenv('PWNDOC_URL').rstrip("/")
PWNDOC_USERNAME = os.getenv('PWNDOC_USERNAME')
PWNDOC_PASSWORD = os.getenv('PWNDOC_PASSWORD')
PWNDOC_DISABLE_HTTPS_VERIFICATION = os.getenv("PWNDOC_DISABLE_HTTPS_VERIFICATION", False) == "True"

if PWNDOC_DISABLE_HTTPS_VERIFICATION:
    logger.warning(f"Security warning: HTTPS certificate validation for requests is DISABLED.")

LOGGER_INTERCEPT_STD_LOGGING = os.getenv('LOGGER_INTERCEPT_STD_LOGGING', False) == "True"

TNS_DESCRIPTION_PROOF_DELIMITER = "========================================"
